
CoCoA-5 - Feature #1017

New function: SetGBasisAsGens [--> NO: use IdealOfGBasis]

02 Mar 2017 13:28 - Anna Maria Bigatti

Status: Rejected Start date: 02 Mar 2017

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: CoCoA-5 function: new Estimated time: 0.51 hour

Target version: CoCoA-5.2.0 spring 2017 Spent time: 0.50 hour

Description

Write a new function to modify an ideal so that removes the current set of generators and substitutes it with the GBasis.

[in some cases the GBasis is preattier than the original set of generator]

Similarly SetMinGensAsGens.

Similar in philosophy to IdealOfGBasis #996.  Which one?  Both?

Related issues:

Related to CoCoA-5 - Feature #996: New function: IdealOfGBasis Closed 12 Jan 2017

History

#1 - 02 Mar 2017 13:29 - Anna Maria Bigatti

- Related to Feature #996: New function: IdealOfGBasis added

#2 - 02 Mar 2017 13:33 - Anna Maria Bigatti

- Description updated

#3 - 10 Apr 2017 17:42 - Anna Maria Bigatti

- Subject changed from New function: SetGBasisAsGens to New function: SetGBasisAsGens --> IdealOfGBasis

- Assignee set to Anna Maria Bigatti

Update: don't modify ideal, by make a new one with IdealOfGBasis

#4 - 10 Apr 2017 17:43 - Anna Maria Bigatti

- Subject changed from New function: SetGBasisAsGens --> IdealOfGBasis to New function: SetGBasisAsGens [--> NO: use IdealOfGBasis]

- Status changed from New to Rejected

- % Done changed from 0 to 100

#5 - 10 Apr 2017 17:43 - Anna Maria Bigatti

- Estimated time set to 0.51 h
